﻿using UnityEngine;
using System.Collections;
using System;

public class spheresound2 : MonoBehaviour {
	int objno = 0;
	rtcmixmain RTcmix;
    bool did_start = false;

	float frequency;

    private void Awake()
    {
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }

    // Use this for initialization
    void Start () {
		RTcmix.initRTcmix (objno);

		frequency = 700.0f;

		RTcmix.SendScore("freqval = makeconnection(\"inlet\", 1, 700.0)  " +
			"WAVETABLE(0, 9999, 20000, freqval, 0.5)", objno);

        did_start = true;
	}

	// Update is called once per frame
	void Update () {
        if (!did_start) return;

		if (Input.anyKey) {
			if (Input.GetKey (KeyCode.UpArrow)) {
				frequency = frequency + 10.0f;
			}
			if (Input.GetKey (KeyCode.DownArrow)) {
				frequency = frequency - 10.0f;
			}

			RTcmix.setpfieldRTcmix (1, frequency, objno);
		}
	}

	void OnAudioFilterRead(float [] data, int nchannels) {
        if (!did_start) return;

        RTcmix.runRTcmix (data, objno, 0);
	}

	void OnApplicationQuit() {
        RTcmix = null;
        did_start = false;
	}
}